> ## Documentation Index
> Fetch the complete documentation index at: https://docs.overflow.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Subscription

> Updates a donor subscription by its Id.



## OpenAPI

````yaml https://server.stage.overflow.co/api/docs/openapi.json patch /api/v3/subscriptions/{donorId}/{subscriptionId}
openapi: 3.0.0
info:
  title: Overflow Open API
  description: |

    The documentation for the Overflow Open APIs.

    To access the OpenAPI spec in JSON/YAML format, navigate to:

    * `/api/docs/openapi.json`
    * `/api/docs/openapi.yaml`
  version: '3.0'
  contact: {}
servers:
  - url: https://server.stage.overflow.co
    description: API server
security: []
tags: []
paths:
  /api/v3/subscriptions/{donorId}/{subscriptionId}:
    patch:
      tags:
        - Subscriptions
      summary: Update Subscription
      description: Updates a donor subscription by its Id.
      operationId: OpenApiSubscriptionsController_updateSubscriptionById
      parameters:
        - name: donorId
          required: true
          in: path
          description: The Id of the donor to update the subscription for.
          schema:
            example: 2ea1ae03ca521e437db76d76
            type: string
        - name: subscriptionId
          required: true
          in: path
          description: The Id of the subscription to update.
          schema:
            example: 2ea1ae03ca521e437db76d76
            type: string
      requestBody:
        required: true
        description: Subscription update details
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateSubscriptionRequest'
      responses:
        '200':
          description: Subscription updated successfully.
        '400':
          description: Updating the subscription failed
        '404':
          description: Subscription not found
      security:
        - ClientId: []
          ApiKey: []
components:
  schemas:
    UpdateSubscriptionRequest:
      type: object
      properties:
        paymentMethodId:
          type: string
          description: Id of the payment method.
          example: 6710f34fd5061afeec3eab57
        amount:
          type: number
          minimum: 0
          exclusiveMinimum: true
          description: Subscription amount in dollars.
          example: 50
        startDate:
          type: string
          format: date-time
          description: ISO 8601 date string when the subscription should start.
          example: '2025-01-15T05:00:00.000Z'
        timezone:
          type: string
          description: >-
            Timezone for the subscription start date. Defaults to UTC if not
            provided.
          example: America/Chicago
        anonymous:
          type: boolean
          description: Whether the donor wants the contribution to be anonymous.
          example: false
        campaignId:
          type: string
          description: Id of the campaign to allocate funds to
          example: 7710f34fd5061afeec3eab78
        subcampaignId:
          type: string
          description: Id of the subcampaign for more specific allocation.
          example: 7710f34fd5061afeec3eab79
        donorNotes:
          type: string
          description: Notes from the donor.
          example: Happy to support this cause!
        frequency:
          type: string
          enum:
            - biweekly
            - monthly
            - weekly
  securitySchemes:
    ClientId:
      type: apiKey
      in: header
      name: x-client-id
      description: Client ID for API authentication
    ApiKey:
      type: apiKey
      in: header
      name: x-api-key
      description: API Key for API authentication

````